Bug 9818 - "Overdue Fines Cap ($)" should not use $ (I18N)
Summary: "Overdue Fines Cap ($)" should not use $ (I18N)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-14 10:03 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9818: Fixing capitalization and remove dollar sign (1.31 KB, patch)
2013-04-15 04:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9818: Fixing capitalization and remove dollar sign (1.42 KB, patch)
2013-04-15 14:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9818: Fixing capitalization and remove dollar sign (1.38 KB, patch)
2013-04-15 21:10 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9818: Fixing capitalization and remove dollar sign (1.42 KB, patch)
2013-04-15 21:15 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9818: Fixing capitalization and remove dollar sign (1.49 KB, patch)
2013-04-25 08:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-03-14 10:03:42 UTC
While it would be good to have a plugin to allow showing the active currency's symbol or code in various places, we should avoid hardcoding a currency symbol in the template for now.
Comment 1 Katrin Fischer 2013-03-14 10:04:14 UTC
Sorry - string appears on the circulation rules page!
Comment 2 Katrin Fischer 2013-04-15 04:27:31 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-04-15 14:20:12 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2013-04-15 21:10:29 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2013-04-15 21:15:36 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2013-04-25 08:27:52 UTC
String patch, passed QA.
Comment 7 Jonathan Druart 2013-04-25 08:28:07 UTC
Created attachment 17669 [details] [review]
Bug 9818: Fixing capitalization and remove dollar sign

Overdue Fines Cap ($) > Overdue fines cap (amount)

To test:
Go to administration > circulation and fine rules
Check column label Overdue fines cap now follows capitalization rules
and has no dollar sign.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Jared Camins-Esakov 2013-04-26 01:53:58 UTC
This patch has been pushed to master and 3.12.x.
Comment 9 Chris Cormack 2013-04-27 21:36:05 UTC
Pushed to 3.10.x will be in 3.10.6